stages:
    - build
    - release

variables:
    PDF_NAME: $CI_PROJECT_NAME.pdf
    ARTIFACT_URL: "${CI_PROJECT_URL}/-/jobs/artifacts/job-${CI_JOB_ID}/download?job=build_job"

build_job:
    stage: build
    # image: lanolin25/docker-latex:v1.1
    image: registry.gitlab.com/reports4/example-ci:latest
    only:
        - master
    script:
        - make build 
        - make clean
        - mv main.pdf ${PDF_NAME}
    artifacts:
        name: "$CI_PROJECT_NAME"
        paths:
            - ${PDF_NAME}

release_job:
    stage: release
    image: registry.gitlab.com/gitlab-org/release-cli:latest
    only:
        - master
    needs:
        - job: build_job
          artifacts: true
    script:
        - >
           release-cli create 
           --name "$CI_PROJECT_NAME Release $CI_COMMIT_TIMESTAMP"
           --description "Build a PDF file from LaTeX source."
           --tag-name job-$CI_JOB_ID
           --ref $CI_COMMIT_SHA
           --released-at "$CI_COMMIT_TIMESTAMP"
           --assets-link "{\"name\": \"${PDF_NAME}.zip\", \"url\": \"${ARTIFACT_URL}\"}"